# sasdata.dataloader.readers.ascii_reader module

Generic multi-column ASCII data reader

class sasdata.dataloader.readers.ascii_reader.Reader

  Bases: `FileReader`

  Class to load ascii files (2, 3 or 4 columns).

  allow_all = True
  ext = ['.txt', '.dat', '.abs', '.csv']
  get_file_contents()

    Get the contents of the file

  min_data_pts = 5
  type = ['ASCII files (*.txt)|*.txt', 'ASCII files (*.dat)|*.dat', 'ASCII files (*.abs)|*.abs', 'CSV files (*.csv)|*.csv']
  type_name = 'ASCII'
  write(filename: str, dataset: plottable_1D, sep: str | None = ' ')

    Output data in ascii or similar format, depending on the separator provided

    Parameters:

      - filename – Full file name and path where the file will be saved

      - dataset – Data1D object that will be saved

      - sep – Separator between data items, default is a single space